Skip to main content
GET
Retrieve advertising search term performance

Authorizations

x-api-key
string
header
required

Query Parameters

channelId
string
required

Channel ID. Only a single channel is supported for this endpoint.

campaignId
string[]

Filter to search terms belonging to the given campaign(s). Repeatable (max 10), numeric.

adGroupId
string[]

Filter to search terms belonging to the given ad group(s). Repeatable (max 10), numeric.

keywordId
string[]

Filter to search terms belonging to the given keyword(s). Repeatable (max 10), numeric.

matchType
enum<string>[]

Filter to search terms matched via the given keyword match type(s). Repeatable, case-insensitive.

Available options:
BROAD,
EXACT,
PHRASE,
TARGETING_EXPRESSION,
TARGETING_EXPRESSION_PREDEFINED
searchTerm
string

Case-insensitive substring filter on the customer search term.

fromDate
integer

Start of date range as unix epoch seconds. Defaults to 30 days ago.

toDate
integer

End of date range as unix epoch seconds. Defaults to now. The range must not exceed 6 months.

currency
string

3-letter ISO currency code (default USD).

sortKey
enum<string>
default:cost

Response column to sort by (default cost). Note: attributed_sales_same_sku, attributed_conversions_same_sku and attributed_units_ordered_same_sku are always 0 for ad_type SB, so sorting by one of them won't distinguish between SB rows.

Available options:
ad_type,
search_term,
impressions,
clicks,
cost,
attributed_sales,
attributed_sales_same_sku,
attributed_conversions,
attributed_conversions_same_sku,
attributed_units_ordered,
attributed_units_ordered_same_sku,
acos,
click_through_rate,
cost_per_click,
conversion_rate,
cost_per_acquisition,
roas
sortOrder
enum<string>

Sort direction (default desc).

Available options:
asc,
desc
pageIndex
integer
default:0

Zero-based page index (default 0).

Required range: x >= 0
pageSize
integer
default:10

Number of (aggregated) search term rows per page, max 100 (default 10).

Required range: 1 <= x <= 100

Response

Successful operation

data
object[]
pagination
object
meta
object